# Ogre::TerrainPageSourceListenerManager Class Reference

Simple manager class to hold onto a list of page source listeners across all sources. More...

`#include <OgreTerrainPageSource.h>`

Inheritance diagram for Ogre::TerrainPageSourceListenerManager:

List of all members.

## Public Member Functions

| TerrainPageSourceListenerManager ()
| ~TerrainPageSourceListenerManager ()
void | addListener (TerrainPageSourceListener *pl)
| Register a class which will be called back whenever a new page is available.
void | removeListener (TerrainPageSourceListener *pl)
| Unregister a class which will be called back whenever a new page is available.
void | firePageConstructed (size_t pagex, size_t pagez, Real *heightData)
| Fire pageContructed events.

## Static Public Member Functions

TerrainPageSourceListenerManager & | getSingleton (void)
| Override standard Singleton retrieval.
TerrainPageSourceListenerManager * | getSingletonPtr (void)
| Override standard Singleton retrieval.

## Protected Types

typedef std::vector< TerrainPageSourceListener * > | PageSourceListenerList

## Protected Attributes

PageSourceListenerList | mPageSourceListeners

## Static Protected Attributes

TerrainPageSourceListenerManager * | ms_Singleton

## Detailed Description

Simple manager class to hold onto a list of page source listeners across all sources.

Definition at line 55 of file OgreTerrainPageSource.h.

## Member Typedef Documentation

typedef std::vector<TerrainPageSourceListener*> Ogre::TerrainPageSourceListenerManager::PageSourceListenerList `[protected]`

| Definition at line 59 of file OgreTerrainPageSource.h.

## Constructor & Destructor Documentation

Ogre::TerrainPageSourceListenerManager::TerrainPageSourceListenerManager | ( |  | ) |

| Definition at line 62 of file OgreTerrainPageSource.h.

Ogre::TerrainPageSourceListenerManager::~TerrainPageSourceListenerManager | ( |  | ) |

| Definition at line 63 of file OgreTerrainPageSource.h.

## Member Function Documentation

void Ogre::TerrainPageSourceListenerManager::addListener | ( | TerrainPageSourceListener * | pl | ) |

Register a class which will be called back whenever a new page is available.

Remarks:
  Since this method is static, it applies to any page source which is in active use; there is no need to register one per source.

void Ogre::TerrainPageSourceListenerManager::firePageConstructed | ( | size_t | pagex,
|  | size_t | pagez,
|  | Real * | heightData
| ) |

| Fire pageContructed events.

TerrainPageSourceListenerManager& Ogre::TerrainPageSourceListenerManager::getSingleton | ( | void |  | ) | `[static]`

| Override standard Singleton retrieval. Reimplemented from Ogre::Singleton< TerrainPageSourceListenerManager >.

TerrainPageSourceListenerManager* Ogre::TerrainPageSourceListenerManager::getSingletonPtr | ( | void |  | ) | `[static]`

| Override standard Singleton retrieval. Reimplemented from Ogre::Singleton< TerrainPageSourceListenerManager >.

void Ogre::TerrainPageSourceListenerManager::removeListener | ( | TerrainPageSourceListener * | pl | ) |

| Unregister a class which will be called back whenever a new page is available.

## Member Data Documentation

PageSourceListenerList Ogre::TerrainPageSourceListenerManager::mPageSourceListeners `[protected]`

| Definition at line 60 of file OgreTerrainPageSource.h.

TerrainPageSourceListenerManager * Ogre::Singleton< TerrainPageSourceListenerManager >::ms_Singleton `[static, protected, inherited]`

| Definition at line 54 of file OgreSingleton.h.

The documentation for this class was generated from the following file:

- OgreTerrainPageSource.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:42:49 2005